/* basics */
:root{
  --black:#000;
  --grey:#999;
  --white:#fff;
}
*,html{overflow-x:hidden;overflow-y:hidden;pointer-events:inherit;}
body,form{margin:0;padding:0;}
.clear{clear:both;}

/* font */
@font-face {
  font-family:'OdibeeSans';
  src:url('OdibeeSans-Regular.ttf') format('truetype');
}

/* desktop */
body{font-family:'OdibeeSans',sans;letter-spacing:0;font-size:40px;line-height:40px;font-weight:300;background-color:var(--black);color:var(--grey);}
.smaller{font-size:0.65em;line-height:1em;margin:1em 0 0 2.5em;}
.nomarginleft{margin-left:0;}
.desktop{display:block;}
.mobile{display:none;}
#cover1,#cover2{position:fixed;top:0;z-index:999;height:100vh;width:50vw;background-color:var(--black);}
#cover1{left:0;}
#cover2{right:0;}
.cover1hide{margin-left:-50vw;transition:all 0.5s 1.5s ease-in-out;}
.cover2hide{margin-right:-50vw;transition:all 0.5s 1.5s ease-in-out;}
#crt{position:fixed;top:0;z-index:800;height:100vh;width:100vw;}
#crt::before {
  content: " ";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: linear-gradient(rgba(18, 16, 16, 0) 75%, rgba(0, 0, 0, 0.5) 25%), linear-gradient(90deg, rgba(255, 0, 0, 0.06), rgba(0, 255, 0, 0.02), rgba(0, 0, 255, 0.06));
  z-index: 2;
  background-size: 100% 2px, 3px 100%;
  pointer-events: none;
}
#points{position:absolute;z-index:50;top:0px;left:0px;padding:5px;}
#lifes{position:absolute;z-index:50;top:40px;left:0px;padding:5px;}
#level{position:absolute;z-index:50;top:0px;right:0px;padding:5px;}
#area{position:absolute;z-index:15;top:0;left:0;border-radius:50%;display:block;}
#start{position:absolute;z-index:100;top:0;left:0;font-size:1em;line-height:1em;text-transform:uppercase;display:none;}
#start>div{font-size:0.65em;line-height:1em;margin:1em 0 0 2.5em;}
#gameover{position:absolute;z-index:100;top:0;left:0;font-size:1em;line-height:1em;text-transform:uppercase;display:none;}
#gameover>div{font-size:0.65em;line-height:1em;margin:1em 0 0 0;}
#plr{position:absolute;z-index:20;display:none;}
.ship{width:40px;height:40px;margin:0 -8px 0 -6px;}
.ship>polygon{width:inherit;height:inherit;stroke:var(--grey);stroke-width:2px;fill:var(--black);}
.rock{position:absolute;z-index:20;}
.rock-x{width:120px;height:120px;}
.rock-m{width:80px;height:80px;}
.rock-s{width:40px;height:40px;}
.rock>polygon{width:inherit;height:inherit;stroke:var(--grey);stroke-width:2px;fill:var(--black);}
.shot{width:4px;height:4px;background-color:var(--white);position:absolute;z-index:10;}
.show-elem{display:block !important;}
.hide-elem{display:none !important;}

/* mobile */
@media(max-width:960px){
  body{font-size:28px;line-height:28px;}
  .desktop{display:none;}
  .mobile{display:block;}
  #start{margin:27vh 0 0 8vw;}
  #gameover{margin:9vh 0 0 3vw;}
  .ship{width:30px;height:30px;}
  .ship>polygon{transform:scale(0.75);}
  .rock-x{width:80px;height:80px;}
  .rock-m{width:60px;height:60px;}
  .rock-s{width:30px;height:30px;}
  .rock>polygon{transform:scale(0.65);}
  .shot{width:2px;height:2px;}
}